/* Some typedefs and fuction prototypes for dirtree.c.

   Copyright 1993 by Michael L.H. Brouwer (michael@urc.tue.nl)

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   675 Mass Ave, Cambridge, MA 02139, USA.

   $Modified: Sun Apr  4 23:27:03 1993 by michael $
   $Id: dirtree.h,v 1.7 1993/04/04 22:46:05 michael Exp $  */

/* An entry for one file in a dt_tree.  */
typedef struct dt_file
{
  char *dir;
  char *name;
  /* Kind of crc.  */
  long crc;
  long id;
  off_t size;
  ino_t inode;
  dev_t device;
} dt_file;

/* A list of dt_files.  */
typedef struct dt_tree
{
  int elems;
  int max_elems;
  dt_file *files;
} dt_tree;

extern bool verbose;
extern bool warnings;
extern bool all_ok;

void sort_by_name (dt_tree *t);
void sort_by_id (dt_tree *t);
dt_tree *dt_read (void);
int dt_calc_ids (dt_tree *t);
#ifdef DEBUG
void dt_print (dt_tree *t);
#endif
