/*
 * dstore.c - DYNIX global storage for lsof
 */


/*
 * Copyright 1994 Purdue Research Foundation, West Lafayette, Indiana
 * 47907.  All rights reserved.
 *
 * Written by Victor A. Abell
 *
 * This software is not subject to any license of the American Telephone
 * and Telegraph Company or the Regents of the University of California.
 *
 * Permission is granted to anyone to use this software for any purpose on
 * any computer system, and to alter it and redistribute it freely, subject
 * to the following restrictions:
 *
 * 1. Neither the authors nor Purdue University are responsible for any
 *    consequences of the use of this software.
 *
 * 2. The origin of this software must not be misrepresented, either by
 *    explicit claim or by omission.  Credit to the authors and Purdue
 *    University must appear in documentation and sources.
 *
 * 3. Altered versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 *
 * 4. This notice may not be removed or altered.
 */

#ifndef lint
static char copyright[] =
"@(#) Copyright 1994 Purdue Research Foundation.\nAll rights reserved.\n";
static char *rcsid = "$Id: dstore.c,v 1.1 94/04/13 08:39:51 abe Exp $";
#endif


#include "lsof.h"


/*
 * Global storage definitions
 */

int Kmem = -1;				/* /dev/kmem file descriptor */
struct l_vfs *Lvfs = NULL;		/* local vfs structure table */

struct nlist Nl[] = {
        { "_proc" },
        { "_nproc" },
        { "_nfs_vnodeops" },
	{ "_Sysmap" },
	{ "" },
};

int Notkmem = 0;			/* core file is not /dev/kmem */
int Swap = -1;				/* swap device file descriptor */
struct pte *Sysmap;			/* kernel _Sysmap address */
