/*
 * machine.h - SunOS (Solaris 1.x and 2.x)  definitions for lsof
 */


/*
 * Copyright 1994 Purdue Research Foundation, West Lafayette, Indiana
 * 47907.  All rights reserved.
 *
 * Written by Victor A. Abell
 *
 * This software is not subject to any license of the American Telephone
 * and Telegraph Company or the Regents of the University of California.
 *
 * Permission is granted to anyone to use this software for any purpose on
 * any computer system, and to alter it and redistribute it freely, subject
 * to the following restrictions:
 *
 * 1. Neither the authors nor Purdue University are responsible for any
 *    consequences of the use of this software.
 *
 * 2. The origin of this software must not be misrepresented, either by
 *    explicit claim or by omission.  Credit to the authors and Purdue
 *    University must appear in documentation and sources.
 *
 * 3. Altered versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 *
 * 4. This notice may not be removed or altered.
 */


/*
 * HASCDRNODE is defined for those operating systems that have CD-ROM nodes.
 */

/* #define	HASCDRNODE	1 */


/*
 * HASFIFONODE is defined for those operating systems that have FIFO nodes.
 */

#define	HASFIFONODE	1


/*
 * HASGNODE is defined for those operating systems that have gnodes.
 */

/* #define	HASGNODE	1 */


/*
 * HASHSNODE is defined for those operating systems that have High Sierra
 * nodes.
 */

#define	HASHSNODE	1


/*
 * HASINODE is defined for those operating systems that have inodes
 */

#define	HASINODE	1


/*
 * HASINTSIGNAL is defined for those operating systems whose signal
 * function returns an int.
 */

/* #define	HASINTSIGNAL	1 */


/*
 * HASKOPT is defined for those systems that support the -k option of
 * reading the kernel's name list from an optional file.
 */

#define	HASKOPT	1


/*
 * HASNLIST is defined for those systems that use nlist() to acccess
 * kernel symbols.
 */

#define	HASNLIST	1


/*
 * HASPIPENODE is defined for those operating systems that have pipe nodes.
 */

/* #define	HASPIPENODE	1 */


/*
 * HASPWSTAYOPEN is defined for those operating systems that have a method
 * to hold the password data base open between searches.  Setting this
 * definition implies the availability of a dialect-specific pw_stay_open()
 * function to implement the method.
 */

/* #define	HASPWSTAYOPEN	1 */


/*
 * HASRNODE is defined for those operating systems that have rnodes.
 */

#define	HASRNODE	1


/*
 * Define HASSECURITY to restrict the listing of all open files to the
 * root user.  When HASSECURITY is defined, the non-root user may list
 * only files whose processes have the same user ID as the real user ID
 * (the one that its user logged on with) of the lsof process.
 */

/* #define	HASSECURITY	1	*/


/*
 * HASSNODE is defined for those operating systems that have snodes.
 */

#define	HASSNODE	1


/*
 * HASSTREAMS is defined for those systems that support streams.
 */

#define	HASSTREAMS	1


/*
 * HASSWAPPORT is defined for those systems whose /etc/services port
 * number must be converted with htons().
 */

/* #define	HASSWAPPORT	1 */


/*
 * HASTMPNODE is defined for those operating systems that have tmpnodes.
 */

#define	HASTMPNODE	1


/*
 * HASVNODE is defined for those operating systems that use the Sun
 * virtual file system node, the vnode.  BSD derivatives usually do;
 * System V derivatives prior to R4 usually don't.
 */

#define	HASVNODE	1


/*
 * UID_ARG defines the size of a User ID number when it is passed
 * as a function argument.
 */

#define	UID_ARG	uid_t


/*
 * zeromem is a macro that uses bzero or memset.
 */

/* #define	zeromem(a, l)		bzero(a, l) */
